=== debian/control ===
Source: ros-rolling-steering-controllers-library
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ackermann-msgs, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-backward-ros, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-controller-manager <!nocheck>, ros-rolling-generate-parameter-library, ros-rolling-geometry-msgs, ros-rolling-hardware-interface, ros-rolling-nav-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-std-srvs, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-steering-controllers-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ackermann-msgs, ros-rolling-backward-ros, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-geometry-msgs, ros-rolling-hardware-interface, ros-rolling-nav-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-realtime-tools, ros-rolling-std-srvs, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-msgs, ros-rolling-ros-workspace
Description: Package for steering robot configurations including odometry and interfaces.
